# Fonction, Domaine et Image

## Definitions

Une fonction est toujours definie par sont départ et arrivée

- \\(f : A \to B f(x) = y\\) où:
	- A est l'ensemble de départ 
	- B est l'ensemble d'arrvée 

- Soit \\(f: A \to B\\) une fonction:
	- Le **Domaine** de f, \\(dom(f) = \\{ a \in A \vert \exists b \in B \quad f(a) = b\\}\\)
	- L'**Image** de f, \\(im(f) = \\{ b \in B \vert \exists a \in A \quad f(a) = b\\}\\)

> Attention, on ne peut ni diviser par zero  
> On ne peut pas prendre la racine carrée d'un nombre négatif  
> ...

- Soit \\(f: A \to B\\) f est injective ssi
	- \\(\forall a_1 \in A \quad \forall a_2 \in A \qquad a_1 \neq a_2 \implies f(a_1) \neq f(a_2)\\)
		- est injective si il n'y a aucunes doubles valeurs pour tous les y
		- nous pouvons scanner toutes les valeurs de y et trouver soit une soit zero valeurs

- Soit \\(f: A \to B\\) f est surjective ssi
	- \\(\forall b \in B \quad \exists a \in A \qquad f(a) = b\\)
		- intuitions: a au moins une valeurs pour tous les y
